/* Move down content because we have a fixed navbar that is 3.5rem tall */
body {
  padding-top: 3.5rem;
  font-family: 'Montserrat', sans-serif;
  background: url("./img/rock-bg-xsmall.jpg") no-repeat #000;
  background-position: right 640px;
  border-radius: 0;
  color: #eee;
}

h1, h2, h3, h4 {
  font-family: 'Quicksand', sans-serif;
}

.strong {
	font-weight: bold;
}

.bg-dark-rock {
  background: url("./img/rock-bg-xsmall.jpg") no-repeat top right #000;
}

nav.bg-dark-rock {
	border-top: 2px solid #000;
	border-bottom: 2px solid #000;
}

.social-links .fab {
  padding: 20px;
  font-size: 30px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  border-radius: 50%;
}

.social-links .fab:hover {
    opacity: 0.7;
}

.fa-facebook {
  background: #3B5998;
  color: white;
}

.fa-twitter {
  background: #55ACEE;
  color: white;
}

.fa-instagram {
  background: #125688;
  color: white;
}


/* homepage styles */

.homepage .jumbotron {
	min-height: 580px;
  	background: url("./img/me-xsmall.jpg") no-repeat top right #fff;
  	-webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
  	color: #333;
  	border-radius: 0;
}

.homepage .jumbotron .container {
	margin-top: -15px;
	background-color: rgba(255,255,255,0.3);
	padding-bottom: 3px;
	max-width: 600px;
}

.homepage h2 {
	font-size: 1.5rem;
}

.homepage h1 {
	font-size: 2rem;
}

/* mountaineering page styles */
.mountaineering .jumbotron {
	min-height: 580px;
	background: url("./img/mountaineering-header-xsmall.jpg") no-repeat top right #ddd;
	-webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
  	color: #eee;
  	border-radius: 0;
}

.mountaineering .jumbotron p {
	margin-top: 1rem;
	background-color: rgba(0,0,0,0.6);
	color: #fff
	border:1px solid #000;
	padding: 1rem;
}

.mountaineering h1 {
	font-size: 2.2rem;
	color: #333;
}

.mountaineering .figure.company-logo {
	max-width: 150px;
	max-height: 100px;
	padding:1rem;
	margin: 1rem;
}

.mountaineering .figure.company-logo.light-bg img {
	background-color: rgba(255,255,255);
	padding:3px;
}


/* Web Dev page styles  */
.webdev .jumbotron {
	min-height: 580px;
	background: url("./img/webdev-header-xsmall.jpg") no-repeat top right #ddd;
	-webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
  	color: #eee;
  	border-radius: 0;
}

.webdev .jumbotron p {
	margin-top: 1rem;
	background-color: rgba(0,0,0,0.6);
	color: #fff;
	border:1px solid #000;
	padding: 1rem;
}

.webdev h1 {
	font-size: 2.2rem;
}

.webdev .fa-img {
	font-size: 200px; padding:10px;color: #219F24;
}


/* Service page styles */
.services .jumbotron {
	min-height: 580px;
	background: url("./img/services-header-xsmall.jpg") no-repeat top right #ddd;
	-webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
  	color: #eee;
  	border-radius: 0;
}

.services .jumbotron p {
	margin-top: 1rem;
	background-color: rgba(0,0,0,0.6);
	color: #fff;
	border:1px solid #000;
	padding: 1rem;
}

.services h1 {
	font-size: 2.2rem;
	color: #333;
}


/* about page styles */
.about .jumbotron {
	min-height: 580px;
	background: url("./img/about-header-xsmall.jpg") no-repeat top right #ddd;
	-webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
	background-size: cover;
	color: #eee;
  	border-radius: 0;
}

.about .jumbotron h1 {
	background-color: rgba(0,0,0,0.6);
	padding: 1rem;
	border:1px solid #000;
}

/* Extra small devices (portrait phones, less than 576px)
   No media query since this is the default in Bootstrap */

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) { 
	body {
		background: url("./img/rock-bg-small.jpg") no-repeat right 640px #000;

	}

	.homepage .jumbotron {
  		background: url("./img/me-small.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}


	.mountaineering .jumbotron {
  		background: url("./img/mountaineering-header-small.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.webdev .jumbotron {
		background: url("./img/webdev-header-small.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.services .jumbotron {
		background: url("./img/services-header-small.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.about .jumbotron {
		background: url("./img/about-header-small.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

	.bg-dark-rock {
	  background: url("./img/rock-bg-small.jpg") no-repeat top right #000;
	}
}

/* Medium devices (tablets, 768px and up) */ 
@media (min-width: 768px) { 
	body {
		background: url("./img/rock-bg-medium.jpg") no-repeat right 640px #000;
	}

	.homepage .jumbotron {
  		background: url("./img/me-medium.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.mountaineering .jumbotron {
  		background: url("./img/mountaineering-header-medium.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}


	.mountaineering h1 {
		font-size: 4rem;
	}

	.mountaineering .main.container {
		padding-top: 1rem;
		margin-bottom: 1rem;
		background-color: rgba(200,200,200,0.1);
		border: 1px solid #333;
	}

	.webdev .jumbotron {
		background: url("./img/webdev-header-medium.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.services .jumbotron {
		background: url("./img/services-header-medium.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

	.about .jumbotron {
		background: url("./img/about-header-medium.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

	.bg-dark-rock {
	  background: url("./img/rock-bg-medium.jpg") no-repeat top right #000;
	}
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) { 
	body {
		background: url("./img/rock-bg-large.jpg") no-repeat top right #000;
	}

	.homepage .jumbotron {
  		background: url("./img/me-large.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.mountaineering .jumbotron {
  		background: url("./img/mountaineering-header-large.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.web-dev .jumbotron {
		background: url("./img/webdev-header-large.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.services .jumbotron {
		background: url("./img/services-header-large.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.services .jumbotron p {
		background-color: rgba(0,0,0,0.0);
		color: #333;
		border:none;
		margin-top:0;
		padding: 0;
	}

	.services .jumbotron h1 {
		margin-top: -2rem;
	}

	.about .jumbotron {
		background: url("./img/about-header-large.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

	.bg-dark-rock {
	  background: url("./img/rock-bg-large.jpg") no-repeat top right #000;
	}
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
	body {
		background: url("./img/rock-bg-xlarge.jpg") no-repeat top right #000;
	}

	.homepage .jumbotron {
		background: url("./img/me-xlarge.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.mountaineering .jumbotron {
  		background: url("./img/mountaineering-header-xlarge.jpg") no-repeat top right #fff;
  		-webkit-background-size: cover;
  		-moz-background-size: cover;
  		-o-background-size: cover;
  		background-size: cover;
	}

	.web-dev .jumbotron {
		background: url("./img/webdev-header-xlarge.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.services .jumbotron {
		background: url("./img/services-header-xlarge.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

  	.about .jumbotron {
		background: url("./img/about-header-xlarge.jpg") no-repeat top right #ddd;
		-webkit-background-size: cover;
	  	-moz-background-size: cover;
	  	-o-background-size: cover;
  		background-size: cover;
  	}

	.bg-dark-rock {
	  background: url("./img/rock-bg-xlarge.jpg") no-repeat top right #000;
	}
}